com.amos.flyinn.webrtc

## Class SignalingMessagesTest

- java.lang.Object
- - com.amos.flyinn.webrtc.SignalingMessagesTest

-     public class SignalingMessagesTest
      extends java.lang.Object

  Test the signaling server for WebRTC negotiation

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignalingMessagesTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fail_signaling_messages_serialize_ice_candidate()`
    `void` | `fail_signaling_messages_serialize_session_descriptor()`
    `void` | `initSignalingService()`
    `void` | `signaling_messages_ice_candidate()`
    `void` | `signaling_messages_remote_descriptor()`
    `void` | `signaling_messages_serialize_ice_candidate()`
    `void` | `signaling_messages_serialize_session_description()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SignalingMessagesTest

          public SignalingMessagesTest()

  - ### Method Detail

    - #### initSignalingService

          public void initSignalingService()

    - #### signaling_messages_remote_descriptor

          public void signaling_messages_remote_descriptor()

    - #### signaling_messages_ice_candidate

          public void signaling_messages_ice_candidate()

    - #### signaling_messages_serialize_session_description

          public void signaling_messages_serialize_session_description()

    - #### signaling_messages_serialize_ice_candidate

          public void signaling_messages_serialize_ice_candidate()

    - #### fail_signaling_messages_serialize_ice_candidate

          public void fail_signaling_messages_serialize_ice_candidate()

    - #### fail_signaling_messages_serialize_session_descriptor

          public void fail_signaling_messages_serialize_session_descriptor()